#include <psychlops.h>
using namespace Psychlops;

//座標(X,Y)を宣言
Psychlops::Point point1,point2;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	//座標(X,Y)を画面中心に移動
	point1.centering();
	//座標(X,Y)を画面中心に移動し、更に(100,100)移動する
	point2.centering().shift(100,100);

	//点を描画する
	sampleA.pix(point1,Color::red);
	sampleA.pix(point2,Color::blue);
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}